org.eclipse.ecf.remoteservice

## Class RemoteServiceReferenceImpl

- java.lang.Object
- - org.eclipse.ecf.remoteservice.RemoteServiceReferenceImpl

All Implemented Interfaces:
  IRemoteServiceReference

    public class RemoteServiceReferenceImpl
    extends Object
    implements IRemoteServiceReference

Since:
  8.3

### Field Summary

Fields
`protected String` `clazz`
`protected RemoteServiceRegistrationImpl` `registration`

### Constructor Summary

Constructors
Constructor and Description
`RemoteServiceReferenceImpl(RemoteServiceRegistrationImpl registration)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ID` `getContainerID()` Get container ID for remote service
`IRemoteServiceID` `getID()` Get the remote service ID for this reference.
`Object` `getProperty(String key)` Get given property for remote service
`String[]` `getPropertyKeys()` Get all property keys for remote service
`protected RemoteServiceRegistrationImpl` `getRegistration()`
`boolean` `isActive()` Return true if reference is active, false otherwise
`protected void` `setInactive()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### registration

    protected RemoteServiceRegistrationImpl registration

#### clazz

    protected String clazz

### Constructor Detail

#### RemoteServiceReferenceImpl

    public RemoteServiceReferenceImpl(RemoteServiceRegistrationImpl registration)

### Method Detail

#### getProperty

    public Object getProperty(String key)

Description copied from interface: `IRemoteServiceReference`
Get given property for remote service

Specified by:
  `getProperty` in interface `IRemoteServiceReference`
Parameters:
  `key` - the key for the property to get. Must not be `null` .
Returns:
  Object the object or `null` if does not have named property

#### getPropertyKeys

    public String[] getPropertyKeys()

Description copied from interface: `IRemoteServiceReference`
Get all property keys for remote service

Specified by:
  `getPropertyKeys` in interface `IRemoteServiceReference`
Returns:
  String [] of property keys. Will not be `null`, but may be empty array.

#### getContainerID

    public ID getContainerID()

Description copied from interface: `IRemoteServiceReference`
Get container ID for remote service

Specified by:
  `getContainerID` in interface `IRemoteServiceReference`
Returns:
  ID the containerID for this reference (where the service is located). Will not be `null` .

#### isActive

    public boolean isActive()

Description copied from interface: `IRemoteServiceReference`
Return true if reference is active, false otherwise

Specified by:
  `isActive` in interface `IRemoteServiceReference`
Returns:
  true if reference is currently active, false otherwise

#### setInactive

    protected void setInactive()

#### getRegistration

    protected RemoteServiceRegistrationImpl getRegistration()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getID

    public IRemoteServiceID getID()

Description copied from interface: `IRemoteServiceReference`
Get the remote service ID for this reference. Will not return `null`.

Specified by:
  `getID` in interface `IRemoteServiceReference`
Returns:
  IRemoteServiceID the id for the remote service associated with this reference.
Since:
  3.0